%global         commit      be675c9e8c853dd4a20f071b408158b0d871f1a4
%global         githash     %(c=%{commit}; echo ${c:0:7})
%global         gitdate     20180815
%global         gittime     1512
%global         pkgname     Arc

Name:           arc-gtk-theme
Version:        20180715
Release:        1.%{gitdate}%{gittime}git%{githash}%{?dist}
Summary:        A flat theme with transparent elements for GTK 3, GTK 2 and Gnome-Shell

Group:          User Interface/Desktops
License:        GPLv3+
URL:            https://github.com/NicoHood/arc-theme
Source:         https://github.com/NicoHood/arc-theme/archive/%{commit}/%{pkgname}-v%{version}-%{githash}.tar.gz

BuildRequires:  automake
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.18
BuildRequires:  sassc >= 3.3
BuildRequires:  inkscape >= 0.91
BuildRequires:  optipng
BuildArch:      noarch
Conflicts:      arc-theme

%description
Arc is a flat theme with transparent elements for GTK 3, GTK 2 and Gnome-Shell.
It supports GTK 3 and GTK 2 based desktop environments like Gnome, Unity,
Budgie, Pantheon, etc.

%package common
Summary:        Files common to %{pkgname} themes
Group:          User Interface/Desktops
Requires:       gtk3 >= 3.18
Requires:       gnome-themes-standard
Obsoletes:      %{pkgname}-common < %{version}-%{release}

%description common
Files which are common to all %{pkgname} themes.

%package gtk2
Summary:        %{pkgname} GTK+2 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}, gtk-murrine-engine >= 0.98.1.1, gtk2-engines
Obsoletes:      %{pkgname}-gtk2-theme < %{version}-%{release}

%description gtk2
Themes for GTK+2 as part of the %{pkgname} theme.

%package gtk3
Summary:        %{pkgname} GTK+3 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Obsoletes:      %{pkgname}-gtk3-theme < %{version}-%{release}

%description gtk3
Themes for GTK+3 as part of the %{pkgname} theme.

%package cinnamon
Summary:        %{pkgname} Cinnamon themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Obsoletes:      %{pkgname}-cinnamon-theme < %{version}-%{release}

%description cinnamon
Themes for Cinnamon as part of the %{pkgname} theme.

%package metacity
Summary:        %{pkgname} Metacity themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}, metacity
Obsoletes:      %{pkgname}-metacity-theme < %{version}-%{release}

%description metacity
Themes for Metacity as part of the %{pkgname} theme.

%package -n gnome-shell-theme-arc
Summary:        %{name} GNOME Shell theme
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}, gnome-shell-extension-user-theme >= 3.18
Obsoletes:      gnome-shell-theme-%{pkgname} < %{version}-%{release}

%description -n gnome-shell-theme-arc
%{pkgname} GNOME Shell theme.

%package xfwm4
Summary:        %{pkgname} Xfwm4 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}, xfwm4
Obsoletes:      %{pkgname}-xfwm4-theme < %{version}-%{release}

%description xfwm4
Themes for Xfwm4 as part of the %{pkgname} theme.

%package plank
Summary:        %{pkgname} Plank themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       plank

%description plank
Themes for Plank as part of the %{pkgname} theme.

%package openbox
Summary:        %{pkgname} openbox themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       openbox >= 3.6.1

%description openbox
Themes for openbox as part of the Adapta theme.

%prep -n
%autosetup -n arc-theme-%{commit}

%build
NOCONFIGURE=yes ./autogen.sh
%configure --disable-unity --prefix=/usr

%install
%make_install
rm %{buildroot}%{_datadir}/themes/%{pkgname}/index.theme
rm %{buildroot}%{_datadir}/themes/%{pkgname}-Dark/index.theme
rm %{buildroot}%{_datadir}/themes/%{pkgname}-Darker/index.theme

%{__mkdir} -p %{buildroot}/%{_datadir}/plank/themes/Arc
%{__install} -pm 0644 extra/Arc-Plank/dock.theme %{buildroot}/%{_datadir}/plank/themes/Arc

%clean
rm -rf %{buildroot}

%files common
%dir %{_datadir}/themes/%{pkgname}/
%dir %{_datadir}/themes/%{pkgname}-Dark/
%dir %{_datadir}/themes/%{pkgname}-Darker/

%files gtk2
%{_datadir}/themes/%{pkgname}/gtk-2.0/
%{_datadir}/themes/%{pkgname}-Dark/gtk-2.0/
%{_datadir}/themes/%{pkgname}-Darker/gtk-2.0/

%files gtk3
%{_datadir}/themes/%{pkgname}/gtk-3.*/
%{_datadir}/themes/%{pkgname}-Dark/gtk-3.*/
%{_datadir}/themes/%{pkgname}-Darker/gtk-3.*/

%files cinnamon
%{_datadir}/themes/%{pkgname}/cinnamon/
%{_datadir}/themes/%{pkgname}-Dark/cinnamon/

%files -n gnome-shell-theme-arc
%{_datadir}/themes/%{pkgname}/gnome-shell/
%{_datadir}/themes/%{pkgname}-Dark/gnome-shell/

%files metacity
%{_datadir}/themes/%{pkgname}/metacity-1/
%{_datadir}/themes/%{pkgname}-Dark/metacity-1/
%{_datadir}/themes/%{pkgname}-Darker/metacity-1/

%files xfwm4
%{_datadir}/themes/%{pkgname}/xfwm4/
%{_datadir}/themes/%{pkgname}-Dark/xfwm4/
%{_datadir}/themes/%{pkgname}-Darker/xfwm4/

%files openbox
%{_datadir}/themes/%{pkgname}/openbox-3/
%{_datadir}/themes/%{pkgname}-Dark/openbox-3/
%{_datadir}/themes/%{pkgname}-Darker/openbox-3/

%files plank
%{_datadir}/plank/themes/Arc/
%{_datadir}/themes/%{pkgname}/plank/
%{_datadir}/themes/%{pkgname}-Dark/plank/
%{_datadir}/themes/%{pkgname}-Darker/plank/

%changelog
* Wed Oct 19 2016 Heiko Adams <heiko.adams@gmail.com> - 20161005-1.201610192105git2ca1989
- Rename to arc-gtk-theme

* Mon Mar 30 2015 Heiko Adams <heiko.adams@gmail.com> - 0.20-1.201503301144gite42f8fd
- initial release
